diff --git a/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test b/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
index 1be7a6e1..700d924b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
+++ b/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
@@ -1314,20 +1354,16 @@ class LdapUserUITests extends LdapTestCase {
       $this->assertTrue($ldap_user_conf->{$property} == $value, $property . ' ' . t('field set correctly'), $this->testId('user interface tests'));
     }
 
-   // $this->assertTrue(
-   //   ($ldap_user_conf->wsUserIps[0] == $wsUserIps[0] && $ldap_user_conf->wsUserIps[1] == $wsUserIps[1])
-    //  , t('webserice ips set correctly'), $this->testId('user interface tests'));
-
     $this->assertTrue(
       isset($ldap_user_conf->drupalAcctProvisionTriggers[LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE]) &&
-      isset($ldap_user_conf->drupalAcctProvisionTriggers[LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE])
-      , t('drupal provision triggers set correctly'), $this->testId('user interface tests'));
+      isset($ldap_user_conf->drupalAcctProvisionTriggers[LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE]),
+       t('drupal provision triggers set correctly'), $this->testId('user interface tests'));
 
     $this->assertTrue(
       isset($ldap_user_conf->ldapEntryProvisionTriggers[LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE]) &&
       isset($ldap_user_conf->ldapEntryProvisionTriggers[LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE]) &&
-      isset($ldap_user_conf->ldapEntryProvisionTriggers[LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE])
-      , t('ldap provision triggers  set correctly'), $this->testId('user interface tests'));
+      isset($ldap_user_conf->ldapEntryProvisionTriggers[LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE]),
+       t('ldap provision triggers  set correctly'), $this->testId('user interface tests'));
 
     $field_token = '[field.field_lname]';
     $field_lname_set_correctly = (
@@ -1350,13 +1386,6 @@ class LdapUserUITests extends LdapTestCase {
       debug('ldap_user_conf->synchMapping[direction][field.field_lname]'); debug($ldap_user_conf->ldapUserSynchMappings[LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER]['field.field_lname']);
     }
 
-
-
-    
   }
 
-
-
-  
-
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_argument.inc b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_argument.inc
index 0aba42c1..fb0a9608 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_argument.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_argument.inc
@@ -2,15 +2,18 @@
 
 /**
  * @file
- * Basic textfield argument to handle known ldap attributes
+ * Basic textfield argument to handle known ldap attributes.
  */
 
+/**
+ *
+ */
 class ldap_views_handler_argument extends views_handler_argument {
 
   /**
-   * Build the query based upon the formula
+   * Build the query based upon the formula.
    */
-  function query() {
+  public function query() {
     if ($this->real_field == 'basedn' || $this->real_field == 'filter') {
       $add_method = 'add_' . $this->real_field;
       $this->query->$add_method($this->argument);
@@ -19,4 +22,5 @@ class ldap_views_handler_argument extends views_handler_argument {
       $this->query->add_where(0, $this->real_field, $this->argument, '=');
     }
   }
+
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_argument_attribute.inc b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_argument_attribute.inc
index d00e6685..d963d1cc 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_argument_attribute.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_argument_attribute.inc
@@ -2,54 +2,59 @@
 
 /**
  * @file
- * Basic textfield argument to handle dynamic ldap attributes
+ * Basic textfield argument to handle dynamic ldap attributes.
  */
 
+/**
+ *
+ */
 class ldap_views_handler_argument_attribute extends views_handler_argument {
 
-  function option_definition() {
+  /**
+   *
+   */
+  public function option_definition() {
     $options = parent::option_definition();
-    $options['attribute_name'] = array('default' => '');
+    $options['attribute_name'] = ['default' => ''];
     return $options;
   }
 
-  function options_form(&$form, &$form_state) {
-/**
-    $current_display = $this->view->display[$this->view->current_display];
-    $qid             = isset($current_display->display_options['query']['options']['qid']) ? $current_display->display_options['query']['options']['qid']
-                                                                                           : $current_display->handler->default_display->display->display_options['query']['options']['qid'];
- */
-    $ldap_data       = new LdapQuery(ldap_views_get_qid($this->view)); //ldap_data_load($qid);
+  /**
+   *
+   */
+  public function options_form(&$form, &$form_state) {
+    $ldap_data = new LdapQuery(ldap_views_get_qid($this->view));
 
     if (empty($ldap_data)) {
-      $form['attribute_name'] = array(
+      $form['attribute_name'] = [
         '#markup' => 'You must select a valid LDAP search (Advanced::Query settings)',
-      );
+      ];
       return;
     }
 
     parent::options_form($form, $form_state);
 
-    $options         = array();
+    $options = [];
     foreach ($ldap_data->attributes as $attribute) {
       $options[$attribute] = $attribute;
     }
 
-    $form['attribute_name'] = array(
+    $form['attribute_name'] = [
       '#type' => 'select',
       '#title' => t('Attribute name'),
       '#description' => t('The attribute name from LDAP response'),
       '#options' => $options,
       '#default_value' => $this->options['attribute_name'],
       '#required' => TRUE,
-    );
+    ];
 
   }
 
   /**
-   * Build the query
+   * Build the query.
    */
-  function query($group_by = FALSE) {
+  public function query($group_by = FALSE) {
     $this->query->add_where(0, $this->options['attribute_name'], $this->argument, '=');
   }
+
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_field.inc b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_field.inc
index 7c631ccc..42f9c3be 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_field.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_field.inc
@@ -2,18 +2,27 @@
 
 /**
  * @file
- * LDAP field handler
+ * LDAP field handler.
  *
- * Defines a new class field handler for a default ldap field
+ * Defines a new class field handler for a default ldap field.
  */
 
+/**
+ *
+ */
 class ldap_views_handler_field extends views_handler_field {
 
-  function render($values) {
+  /**
+   *
+   */
+  public function render($values) {
     return array_key_exists($this->field_alias, $values) ? check_plain($values[$this->field_alias]) : '';
   }
 
-  function element_type($none_supported = FALSE, $default_empty = FALSE, $inline = FALSE) {
+  /**
+   *
+   */
+  public function element_type($none_supported = FALSE, $default_empty = FALSE, $inline = FALSE) {
     if (isset($this->definition['element type'])) {
       return $this->definition['element type'];
     }
@@ -21,48 +30,53 @@ class ldap_views_handler_field extends views_handler_field {
     return 'div';
   }
 
-  function option_definition() {
-    $options = parent::option_definition();
-    $options['multivalue']      = array('default' => 'v-all');
-    $options['value_separator'] = array('default' => '');
-    $options['index_value']     = array('default' => 0);
+  /**
+   *
+   */
+  public function option_definition() {
+    $options                    = parent::option_definition();
+    $options['multivalue']      = ['default' => 'v-all'];
+    $options['value_separator'] = ['default' => ''];
+    $options['index_value']     = ['default' => 0];
     return $options;
   }
 
-  /*
-   * Add the field for the LDAP Attribute
+  /**
+   * Add the field for the LDAP Attribute.
    */
-  function options_form(&$form, &$form_state) {
+  public function options_form(&$form, &$form_state) {
     parent::options_form($form, $form_state);
-    $form['multivalue'] = array(
-      '#type' => 'select', // it should be 'radios', but it makes #dependency not to work
+    $form['multivalue'] = [
+    // It should be 'radios', but it makes #dependency not to work.
+      '#type' => 'select',
       '#title' => t('Values to show'),
       '#description' => t('What to do whith  multivalue attributes'),
-      '#options' => array(
+      '#options' => [
         'v-all' => t('All values'),
         'v-index' => t('Show Nth value'),
         'v-count' => t('Count values'),
-      ),
+      ],
       '#default_value' => $this->options['multivalue'],
       '#required' => TRUE,
-    );
-    $form['value_separator'] = array(
+    ];
+    $form['value_separator'] = [
       '#type' => 'textfield',
       '#title' => t('Value separator'),
       '#description' => t('Separator to use between values in multivalued attributes'),
       '#default_value' => $this->options['value_separator'],
-      '#dependency' => array(
-        'edit-options-multivalue' => array('v-all'),
-      ),
-    );
-    $form['index_value'] = array(
+      '#dependency' => [
+        'edit-options-multivalue' => ['v-all'],
+      ],
+    ];
+    $form['index_value'] = [
       '#type' => 'textfield',
       '#title' => t('Index'),
       '#description' => t('Index of the value to show. Use negative numbers to index from last item (0=First, -1=Last)'),
       '#default_value' => $this->options['index_value'],
-      '#dependency' => array(
-        'edit-options-multivalue' => array('v-index'),
-      ),
-    );
+      '#dependency' => [
+        'edit-options-multivalue' => ['v-index'],
+      ],
+    ];
   }
+
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_field_attribute.inc b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_field_attribute.inc
index 4afba50f..cf0e8c26 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_field_attribute.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_field_attribute.inc
@@ -2,60 +2,61 @@
 
 /**
  * @file
- * LDAP field handler
+ * LDAP field handler.
  *
- * Defines a new class field handler for a default ldap field
+ * Defines a new class field handler for a default ldap field.
  */
 
+/**
+ *
+ */
 class ldap_views_handler_field_attribute extends ldap_views_handler_field {
 
-
-  function option_definition() {
+  /**
+   *
+   */
+  public function option_definition() {
     $options = parent::option_definition();
-    $options['attribute_name'] = array('default' => '');
+    $options['attribute_name'] = ['default' => ''];
     return $options;
   }
 
-  /*
-   * Add the field for the LDAP Attribute
+  /**
+   * Add the field for the LDAP Attribute.
    */
-  function options_form(&$form, &$form_state) {
-/**
-    $current_display = $this->view->display[$this->view->current_display];
-    $qid             = isset($current_display->display_options['query']['options']['qid']) ? $current_display->display_options['query']['options']['qid']
-                                                                                           : $current_display->handler->default_display->display->display_options['query']['options']['qid'];
- */
-    $ldap_data       = new LdapQuery(ldap_views_get_qid($this->view)); //ldap_data_load($qid);
+  public function options_form(&$form, &$form_state) {
+    $ldap_data = new LdapQuery(ldap_views_get_qid($this->view));
 
     if (empty($ldap_data)) {
-      $form['attribute_name'] = array(
+      $form['attribute_name'] = [
         '#markup' => 'You must select a valid LDAP search (Advanced::Query settings)',
-      );
+      ];
       return;
     }
 
     parent::options_form($form, $form_state);
 
-    $options         = array();
+    $options = [];
     foreach ($ldap_data->attributes as $attribute) {
       $options[$attribute] = $attribute;
     }
 
-    $form['attribute_name'] = array(
+    $form['attribute_name'] = [
       '#type' => 'select',
       '#title' => t('Attribute name'),
       '#description' => t('The attribute name from LDAP response'),
       '#options' => $options,
       '#default_value' => $this->options['attribute_name'],
       '#required' => TRUE,
-    );
+    ];
   }
 
   /**
    * Called to add the field to a query.
    */
-  function query() {
+  public function query() {
     $this->real_field = $this->options['attribute_name'];
     parent::query();
   }
+
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_filter.inc b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_filter.inc
index df012d0f..ae2ec958 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_filter.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_filter.inc
@@ -6,13 +6,21 @@
  * including equality, contains, not contains, etc.
  */
 
+/**
+ *
+ */
 class ldap_views_handler_filter extends views_handler_filter {
-  // exposed filter options
-  var $always_multiple = TRUE;
+  /**
+   * Exposed filter options.
+   */
+  public $always_multiple = TRUE;
 
-  function option_definition() {
+  /**
+   *
+   */
+  public function option_definition() {
     $options = parent::option_definition();
-    $options['expose']['contains']['required'] = array('default' => FALSE);
+    $options['expose']['contains']['required'] = ['default' => FALSE];
     return $options;
   }
 
@@ -21,78 +29,78 @@ class ldap_views_handler_filter extends views_handler_filter {
    * to add or remove functionality by overriding this function and
    * adding/removing items from this array.
    */
-  function operators() {
-    $operators = array(
-      '=' => array(
+  public function operators() {
+    $operators = [
+      '=' => [
         'title' => t('Is equal to'),
         'short' => t('='),
         'method' => 'op_equal',
         'values' => 1,
-      ),
-      '!=' => array(
+      ],
+      '!=' => [
         'title' => t('Is not equal to'),
         'short' => t('!='),
         'method' => 'op_equal',
         'values' => 1,
-      ),
-      'contains' => array(
+      ],
+      'contains' => [
         'title' => t('Contains'),
         'short' => t('contains'),
         'method' => 'op_contains',
         'values' => 1,
-      ),
-      'starts' => array(
+      ],
+      'starts' => [
         'title' => t('Starts with'),
         'short' => t('begins'),
         'method' => 'op_starts',
         'values' => 1,
-      ),
-      'not_starts' => array(
+      ],
+      'not_starts' => [
         'title' => t('Does not start with'),
         'short' => t('not_begins'),
         'method' => 'op_not_starts',
         'values' => 1,
-      ),
-      'ends' => array(
+      ],
+      'ends' => [
         'title' => t('Ends with'),
         'short' => t('ends'),
         'method' => 'op_ends',
         'values' => 1,
-      ),
-      'not_ends' => array(
+      ],
+      'not_ends' => [
         'title' => t('Does not end with'),
         'short' => t('not_ends'),
         'method' => 'op_not_ends',
         'values' => 1,
-      ),
-      'not' => array(
+      ],
+      'not' => [
         'title' => t('Does not contain'),
         'short' => t('!has'),
         'method' => 'op_not',
         'values' => 1,
-      ),
-      'greater' => array(
+      ],
+      'greater' => [
         'title' => t('Greater than or equal to'),
         'short' => t('greater_eq'),
         'method' => 'op_greater_eq',
         'values' => 1,
-      ),
-      'less' => array(
+      ],
+      'less' => [
         'title' => t('Less than or equal to'),
         'short' => t('less_eq'),
         'method' => 'op_less_eq',
         'values' => 1,
-      ),
-    );
+      ],
+    ];
 
     return $operators;
   }
 
   /**
-   * Build strings from the operators() for 'select' options
+   * Build strings from the operators() for 'select' options.
    */
-  function operator_options($which = 'title') {
-    $options = array();
+  public function operator_options($which = 'title') {
+    $options = [];
     foreach ($this->operators() as $id => $info) {
       $options[$id] = $info[$which];
     }
@@ -100,7 +108,10 @@ class ldap_views_handler_filter extends views_handler_filter {
     return $options;
   }
 
-  function admin_summary() {
+  /**
+   *
+   */
+  public function admin_summary() {
     if (!empty($this->options['exposed'])) {
       return t('exposed');
     }
@@ -116,8 +127,11 @@ class ldap_views_handler_filter extends views_handler_filter {
     return $output;
   }
 
-  function operator_values($values = 1) {
-    $options = array();
+  /**
+   *
+   */
+  public function operator_values($values = 1) {
+    $options = [];
     foreach ($this->operators() as $id => $info) {
       if (isset($info['values']) && $info['values'] == $values) {
         $options[] = $id;
@@ -128,9 +142,9 @@ class ldap_views_handler_filter extends views_handler_filter {
   }
 
   /**
-   * Provide a simple textfield for equality
+   * Provide a simple textfield for equality.
    */
-  function value_form(&$form, &$form_state) {
+  public function value_form(&$form, &$form_state) {
     // We have to make some choices when creating this as an exposed
     // filter form. For example, if the operator is locked and thus
     // not rendered, we can't render dependencies; instead we only
@@ -143,7 +157,7 @@ class ldap_views_handler_filter extends views_handler_filter {
       $identifier = $this->options['expose']['identifier'];
 
       if (empty($this->options['expose']['use_operator']) || empty($this->options['expose']['operator_id'])) {
-        // exposed and locked.
+        // Exposed and locked.
         $which = in_array($this->operator, $this->operator_values(1)) ? 'value' : 'none';
       }
       else {
@@ -152,29 +166,29 @@ class ldap_views_handler_filter extends views_handler_filter {
     }
 
     if ($which == 'all' || $which == 'value') {
-      $form['value'] = array(
+      $form['value'] = [
         '#type' => 'textfield',
         '#title' => t('Value'),
         '#size' => 30,
         '#default_value' => $this->value,
-      );
+      ];
       if (!empty($form_state['exposed']) && !isset($form_state['input'][$identifier])) {
         $form_state['input'][$identifier] = $this->value;
       }
 
       if ($which == 'all') {
-        $form['value'] += array(
-          '#dependency' => array($source => $this->operator_values(1)),
-        );
+        $form['value'] += [
+          '#dependency' => [$source => $this->operator_values(1)],
+        ];
       }
     }
 
     if (!isset($form['value'])) {
       // Ensure there is something in the 'value'.
-      $form['value'] = array(
+      $form['value'] = [
         '#type' => 'value',
-        '#value' => NULL
-      );
+        '#value' => NULL,
+      ];
     }
   }
 
@@ -185,7 +199,7 @@ class ldap_views_handler_filter extends views_handler_filter {
    * level of indirection. You will find them in $this->operator
    * and $this->value respectively.
    */
-  function query() {
+  public function query() {
     $this->ensure_my_table();
     $field = $this->real_field;
 
@@ -195,43 +209,73 @@ class ldap_views_handler_filter extends views_handler_filter {
     }
   }
 
-  function op_equal($field) {
+  /**
+   *
+   */
+  public function op_equal($field) {
     $this->query->add_where($this->options['group'], $field, $this->value, $this->operator);
   }
 
-  function op_contains($field) {
+  /**
+   *
+   */
+  public function op_contains($field) {
     $this->query->add_where($this->options['group'], $field, "*$this->value*", '=');
   }
 
-  function op_starts($field) {
+  /**
+   *
+   */
+  public function op_starts($field) {
     $this->query->add_where($this->options['group'], $field, "$this->value*", '=');
   }
 
-  function op_not_starts($field) {
+  /**
+   *
+   */
+  public function op_not_starts($field) {
     $this->query->add_where($this->options['group'], $field, "$this->value*", '!=');
   }
 
-  function op_ends($field) {
+  /**
+   *
+   */
+  public function op_ends($field) {
     $this->query->add_where($this->options['group'], $field, "*$this->value", '=');
   }
 
-  function op_not_ends($field) {
+  /**
+   *
+   */
+  public function op_not_ends($field) {
     $this->query->add_where($this->options['group'], $field, "*$this->value", '!=');
   }
 
-  function op_not($field) {
+  /**
+   *
+   */
+  public function op_not($field) {
     $this->query->add_where($this->options['group'], $field, "*$this->value*", '!=');
   }
 
-  function op_greater_eq($field) {
+  /**
+   *
+   */
+  public function op_greater_eq($field) {
     $this->query->add_where($this->options['group'], $field, $this->value, '>=');
   }
 
-  function op_less_eq($field) {
+  /**
+   *
+   */
+  public function op_less_eq($field) {
     $this->query->add_where($this->options['group'], $field, $this->value, '<=');
   }
 
-  function op_exists($field) {
+  /**
+   *
+   */
+  public function op_exists($field) {
     $this->query->add_where($this->options['group'], $field, '*', $this->operator == 'exists' ? '=' : '!=');
   }
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_filter_attribute.inc b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_filter_attribute.inc
index dbd80bad..734c4ba3 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_filter_attribute.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_filter_attribute.inc
@@ -3,21 +3,27 @@
 /**
  * @file
  * Basic textfield filter to handle string filtering commands for a generic ldap attribute
- * Includes new criterias
+ * Includes new criterias.
  */
 
+/**
+ *
+ */
 class ldap_views_handler_filter_attribute extends ldap_views_handler_filter {
 
   /**
    * Determine if a filter can be exposed.
    */
-  function can_expose() {
+  public function can_expose() {
     return TRUE;
   }
 
-  function option_definition() {
+  /**
+   *
+   */
+  public function option_definition() {
     $options = parent::option_definition();
-    $options['attribute_name'] = array('default' => '');
+    $options['attribute_name'] = ['default' => ''];
     return $options;
   }
 
@@ -26,97 +32,124 @@ class ldap_views_handler_filter_attribute extends ldap_views_handler_filter {
    * to add or remove functionality by overriding this function and
    * adding/removing items from this array.
    */
-  function operators() {
-    $operators = array(
-      'exists' => array(
+  public function operators() {
+    $operators = [
+      'exists' => [
         'title' => t('Exists'),
         'method' => 'op_exists',
         'short' => t('exists'),
         'values' => 0,
-      ),
-      'not exists' => array(
+      ],
+      'not exists' => [
         'title' => t('Not exists'),
         'method' => 'op_exists',
         'short' => t('not exists'),
         'values' => 0,
-      ),
-    );
+      ],
+    ];
 
     return parent::operators() + $operators;
   }
+
   /**
-   * Provide a simple textfield for equality
+   * Provide a simple textfield for equality.
    */
-  function value_form(&$form, &$form_state) {
-/*
-    $current_display = $this->view->display[$this->view->current_display];
-    $qid             = isset($current_display->display_options['query']['options']['qid']) ? $current_display->display_options['query']['options']['qid']
-                                                                                           : $current_display->handler->default_display->display->display_options['query']['options']['qid'];
- */
-    $ldap_data       = new LdapQuery(ldap_views_get_qid($this->view)); //ldap_data_load($qid);
+  public function value_form(&$form, &$form_state) {
+    $ldap_data = new LdapQuery(ldap_views_get_qid($this->view));
 
     if (empty($ldap_data)) {
-      $form['attribute_name'] = array(
+      $form['attribute_name'] = [
         '#markup' => 'You must select a valid LDAP search (Advanced::Query settings)',
-      );
+      ];
       return;
     }
 
-    $options         = array();
+    $options = [];
     foreach ($ldap_data->attributes as $attribute) {
       $options[$attribute] = $attribute;
     }
 
     if (empty($form_state['exposed'])) {
-      $form['attribute_name'] = array(
+      $form['attribute_name'] = [
         '#type' => 'select',
         '#title' => t('Attribute name'),
         '#description' => t('The attribute name from LDAP response'),
         '#options' => $options,
         '#default_value' => $this->options['attribute_name'],
         '#required' => TRUE,
-      );
+      ];
     }
 
     parent::value_form($form, $form_state);
   }
-  function op_equal($field) {
+
+  /**
+   *
+   */
+  public function op_equal($field) {
     parent::op_equal($this->options['attribute_name']);
   }
 
-  function op_contains($field) {
+  /**
+   *
+   */
+  public function op_contains($field) {
     parent::op_contains($this->options['attribute_name']);
   }
 
-  function op_starts($field) {
+  /**
+   *
+   */
+  public function op_starts($field) {
     parent::op_starts($this->options['attribute_name']);
   }
 
-  function op_not_starts($field) {
+  /**
+   *
+   */
+  public function op_not_starts($field) {
     parent::op_not_starts($this->options['attribute_name']);
   }
 
-  function op_ends($field) {
+  /**
+   *
+   */
+  public function op_ends($field) {
     parent::op_ends($this->options['attribute_name']);
   }
 
-  function op_not_ends($field) {
+  /**
+   *
+   */
+  public function op_not_ends($field) {
     parent::op_not_ends($this->options['attribute_name']);
   }
 
-  function op_not($field) {
+  /**
+   *
+   */
+  public function op_not($field) {
     parent::op_not($this->options['attribute_name']);
   }
 
-  function op_greater_eq($field) {
+  /**
+   *
+   */
+  public function op_greater_eq($field) {
     parent::op_greater_eq($this->options['attribute_name']);
   }
 
-  function op_less_eq($field) {
+  /**
+   *
+   */
+  public function op_less_eq($field) {
     parent::op_less_eq($this->options['attribute_name']);
   }
 
-  function op_exists($field) {
+  /**
+   *
+   */
+  public function op_exists($field) {
     parent::op_exists($this->options['attribute_name']);
   }
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_sort.inc b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_sort.inc
index e96a2c16..cb552963 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_sort.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_sort.inc
@@ -2,8 +2,11 @@
 
 /**
  * @file
- * Base sort handler for a ldap attributes
+ * Base sort handler for a ldap attributes.
  */
 
+/**
+ *
+ */
 class ldap_views_handler_sort extends views_handler_sort {
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_sort_attribute.inc b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_sort_attribute.inc
index 83d72a22..2e8a4dee 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_sort_attribute.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/handlers/ldap_views_handler_sort_attribute.inc
@@ -2,49 +2,55 @@
 
 /**
  * @file
- * Base sort handler for a ldap attributes
+ * Base sort handler for a ldap attributes.
  */
 
+/**
+ *
+ */
 class ldap_views_handler_sort_attribute extends ldap_views_handler_sort {
-  function option_definition() {
+
+  /**
+   *
+   */
+  public function option_definition() {
     $options = parent::option_definition();
-    $options['attribute_name'] = array('default' => '');
+    $options['attribute_name'] = ['default' => ''];
     return $options;
   }
 
-  function options_form(&$form, &$form_state) {
-/*
-    $current_display = $this->view->display[$this->view->current_display];
-    $did             = isset($current_display->display_options['query']['options']['did']) ? $current_display->display_options['query']['options']['did']
-                                                                                           : $current_display->handler->default_display->display->display_options['query']['options']['did'];
- */
-    $ldap_data       = new LdapQuery(ldap_views_get_qid($this->view)); //ldap_data_load($did);
+  /**
+   *
+   */
+  public function options_form(&$form, &$form_state) {
+    $ldap_data = new LdapQuery(ldap_views_get_qid($this->view));
     if (empty($ldap_data)) {
-      $form['attribute_name'] = array(
+      $form['attribute_name'] = [
         '#markup' => 'You must select a valid LDAP search (Advanced::Query settings)',
-      );
+      ];
       return;
     }
 
     parent::options_form($form, $form_state);
-    $options         = array();
+    $options = [];
     foreach ($ldap_data->attributes as $attribute) {
       $options[$attribute] = $attribute;
     }
-    $form['attribute_name'] = array(
+    $form['attribute_name'] = [
       '#type' => 'select',
       '#title' => t('Attribute name'),
       '#description' => t('The attribute name from LDAP response'),
       '#options' => $options,
       '#default_value' => $this->options['attribute_name'],
       '#required' => TRUE,
-    );
+    ];
   }
 
   /**
    * Called to add the sort to a query.
    */
-  function query() {
+  public function query() {
     $this->query->add_orderby($this->table, $this->options['attribute_name'], $this->options['order']);
   }
+
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.info b/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.info
index 63f3bb2c..ea5d7f67 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.info
+++ b/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.info
@@ -5,6 +5,7 @@ package = Lightweight Directory Access Protocol
 dependencies[] = ldap_query
 dependencies[] = views
 core = 7.x
+php = 5.4
 
 files[] = ldap_views.module
 files[] = ldap_views.install
@@ -22,8 +23,8 @@ files[] = handlers/ldap_views_handler_filter_attribute.inc
 files[] = handlers/ldap_views_handler_sort.inc
 files[] = handlers/ldap_views_handler_sort_attribute.inc
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.module b/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.module
index 248b6a74..4cac7d2b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.module
+++ b/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.module
@@ -8,15 +8,18 @@
  * Implements hook_views_api().
  */
 function ldap_views_views_api() {
-  return array(
+  return [
     'api' => 3,
     'path' => drupal_get_path('module', 'ldap_views'),
-  );
+  ];
 }
 
+/**
+ *
+ */
 function ldap_views_get_qid(&$view) {
-    $current_display = $view->display[$view->current_display];
-    return isset($current_display->display_options['query']['options']['qid']) ?
+  $current_display = $view->display[$view->current_display];
+  return isset($current_display->display_options['query']['options']['qid']) ?
       $current_display->display_options['query']['options']['qid'] :
       $current_display->handler->default_display->display->display_options['query']['options']['qid'];
 }
